VOLSERVER(8)

NAME
volserver - Initializes the Volume Server component of the fs process

SYNOPSIS
volserver
    [-log] [-p <number of processes>]
    [-auditlog <log path>]
    [-audit-interface (file | sysvmq)]
    [-logfile <log file] [-config <configuration path>]
    [-udpsize <size of socket buffer in bytes>]
    [-d <debug level>]
    [-nojumbo] [-jumbo]
    [-enable_peer_stats] [-enable_process_stats]
    [-allow-dotted-principals] [-clear-vol-stats]
    [-sync <sync behavior>]
    [-rxmaxmtu <bytes>]
    [-rxbind]
    [-syslog[=<FACILITY]]
    [-transarc-logs]
    [-sleep <sleep time/run time>]
    [-restricted_query (anyuser | admin)]
    [-s2scrypt (never | always | inherit)]
    [-help]

DESCRIPTION
The volserver command initializes the Volume Server component of the "fs" process. In the conventional configuration, its binary file is located in the /usr/lib/openafs directory on a file server machine.

The volserver command is not normally issued at the command shell prompt but rather placed into a file server machine's /etc/openafs/BosConfig file with the bos create command. If it is ever issued at the command shell prompt, the issuer must be logged onto a database server machine as the local superuser "root".

The Volume Server records a trace of its activity in the /var/log/openafs/VolserLog file. Use the bos getlog command to display the contents of the file.

The Volume Server processes the vos commands that administrators use to create, delete, move, and replicate volumes, as well as prepare them for archiving to tape or other media.

By default, the VL Server runs nine lightweight processes (LWPs). To change the number, use the -p argument.

This command does not use the syntax conventions of the AFS command suites. Provide the command name and all option names in full.

OPTIONS

-d <debug level>
    Sets the detail level for the debugging trace written to the /var/log/openafs/VolserLog file. Provide one of the following values, each of which produces an increasingly detailed trace: 0, 1, 5, 25, and 125.

-log
    Records in the /var/log/openafs/VolserLog file the names of all users who successfully initiate a vos command. The Volume Server also records any file removals that result from issuing the vos release command with the -f flag.

-transarc-logs
    Use Transarc style logging features. Rename the log file /var/log/openafs/VolserLog to /var/log/openafs/VolserLog.old when the volume server is restarted. This option is provided for compatibility with older versions.

-p <number of processes>
    Sets the number of server lightweight processes (LWPs) to run. Provide an integer between 4 and 16. The default is 9.

-auditlog <log path>
    Turns on audit logging, and sets the path for the audit log. The audit log records information about RPC calls, including the name of the RPC call, the host that submitted the call, the authenticated entity (user) that issued the call, the parameters for the call, and if the call succeeded or failed.

-audit-interface (file | sysvmq)
    Specifies what audit interface to use. Defaults to "file". See fileserver(8) for an explanation of each interface.

-udpsize <size of socket buffer>
    Sets the size of the UDP buffer in bytes, which is 64 KB by default. Provide a positive integer, preferably larger than the default.

-jumbo
    Allows the server to send and receive jumbograms. A jumbogram is a large-size packet composed of 2 to 4 normal Rx data packets that share the same header. The volserver does not use jumbograms by default, as some routers are not capable of properly breaking the jumbogram into smaller packets and reassembling them.

-nojumbo
    Deprecated; jumbograms are disabled by default.

-enable_peer_stats
    Activates the collection of Rx statistics and allocates memory for their storage. For each connection with a specific UDP port on another machine, a separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received. To display or otherwise access the records, use the Rx Monitoring API.

-enable_process_stats
    Activates the collection of Rx statistics and allocates memory for their storage. A separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received, aggregated over all connections to other machines. To display or otherwise access the records, use the Rx Monitoring API.

-allow-dotted-principals
    By default, the RXKAD security layer will disallow access by Kerberos principals with a dot in the first component of their name. This is to avoid the confusion where principals user/admin and user.admin are both mapped to the user.admin PTS entry. Sites whose Kerberos realms don't have these collisions between principal names may disable this check by starting the server with this option.

-clear-vol-stats
    Clear volume access statistics during volume restore and reclone operations. This includes clearing the volume access statistics of read-only volumes during a volume release. By default, volume access statistics are preserved during volume restore and reclone operations.

    Volume access statistics were cleared by default in versions prior to OpenAFS 1.8.0. This flag is intended to provide compatible behaviour.

-sync <sync behavior>
    This is the same as the -sync option in fileserver(8). See fileserver(8).

-logfile <log file>
    Sets the file to use for server logging. If logfile is not specified and no other logging options are supplied, this will be /var/log/openafs/VolserLog. Note that this option is intended for debugging and testing purposes. Changing the location of the log file from the command line may result in undesirable interactions with tools such as bos.

-config <configuration directory>
    Set the location of the configuration directory used to configure this service. In a typical configuration this will be /etc/openafs/server - this option allows the use of alternative configuration locations for testing purposes.

-rxmaxmtu <bytes>
    Defines the maximum size of an MTU. The value must be between the minimum and maximum packet data sizes for Rx.

-rxbind
    Bind the Rx socket to the primary interface only. (If not specified, the Rx socket will listen on all interfaces.)

-syslog[=<syslog facility>]
    Specifies that logging output should go to syslog instead of the normal log file. -syslog=FACILITY can be used to specify to which facility the log message should be sent.

-sleep <sleep_time/run_time>
    This option is obsolete, and is now only accepted for compatibility with older releases. All it does now is log a warning message about how the option is obsolete.

-restricted_query (anyuser | admin)
    Restrict RPCs that query information about volumes to a specific group of users. You can use "admin" to restrict to AFS administrators. The "anyuser" option doesn't restrict the RPCs and leaves it open for all users including unauthenticated users, this is the default.

-s2scrypt (never | always | inherit)
    Set the cryptographic disposition of inter-volserver traffic.

    never
        All inter-volserver traffic is unencrypted. This is the default behavior.

    always
        All inter-volserver traffic is encrypted (using rxkad).

    inherit
        Inter-volserver traffic will be encrypted if the client connection triggering the server-to-server traffic is encrypted. This has the effect of encrypting inter-server traffic if the "-encrypt" option is provided to vos release, for example.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following bos create command creates a "volserver" process on the machine "fs2.example.com" as part of the fs process:

   % bos create -server fs2.example.com -instance fs -type fs \
                -cmd "/usr/lib/openafs/fileserver" \
                /usr/lib/openafs/volserver /usr/lib/openafs/salvager

PRIVILEGE REQUIRED
The issuer must be logged in as the superuser "root" on a file server machine to issue the command at a command shell prompt. It is conventional instead to create and start the process by issuing the bos create command.

SEE ALSO
BosConfig(5), VolserLog(5), bos_create(8), bos_getlog(8), vos(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.